Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with HTTPS or Subversion.

Download ZIP
Rails engine for the Leaflet.markercluster project
Ruby
branch: master
Failed to load latest commit information.
lib
vendor/assets updated to v0.4.0 of Leaflet.markercluster, Leaflet 0.7.x
.gitignore Initial commit
Gemfile Initial commit
LICENSE.txt Initial commit
README.md Improved documentation
Rakefile Initial commit
leaflet-markercluster-rails.gemspec Bump minor version for new release, change my email

README.md

Leaflet.MarkerCluster for Rails

Engine wrapper for the Leaflet MarkerCluster library by @danzel.

Requires Leaflet 0.7.0 or newer.

https://github.com/Leaflet/Leaflet.markercluster

Installation

Add this line to your application's Gemfile:

gem 'leaflet-markercluster-rails'

And then execute:

$ bundle

Or install it yourself as:

$ gem install leaflet-markercluster-rails

Usage

Provides the following assets:

leaflet.markercluster.js
leaflet.markercluster.css
leaflet.markercluster.default.css

To use these in a Rails app, add the following to application.css or application.css.scss

//= require leaflet.markercluster
//= require leaflet.markercluster.default

and add the following to application.js

//= require leaflet.markercluster

You should require leaflet.markercluster after requiring the leaflet library itself. See https://github.com/axyjo/leaflet-rails.

License

MIT License, full text of license see here

Something went wrong with that request. Please try again.